package cn.iocoder.yudao.module.mes.controller.admin.producereport.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
@AllArgsConstructor
public enum ReportStatusEnum {

    草稿(0),
    送审(1),
    通过(2),
    驳回(3);

    private final Integer value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static ReportStatusEnum fromValue(Integer value) {
        for (ReportStatusEnum status : ReportStatusEnum.values()) {
            if (status.getValue() == value) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
    //返回状态
    public static List<Integer> getEnableEditStatus(){
        List<Integer> statusList = new ArrayList<>();
        statusList.add(ReportStatusEnum.草稿.getValue());
        statusList.add(ReportStatusEnum.送审.getValue());
        statusList.add(ReportStatusEnum.驳回.getValue());
        return statusList;
    }
}